Subject: Re: Help initialize phy-less ethernet in 2.6.38

From: Scott Wood <[email-masked]>
Date: Thu, 29 Mar 2012 15:30:18 -0500

On 03/29/2012 02:56 PM, Fabio wrote:
>> Which old kernel driver?  Why do you need to mess with fs_platform_info?
> I have to port a custom platform driver written for 2.6.10 to support
> this custom board.

So it's old arch/ppc stuff.  Now fs_platform_info is driver-internal and
info comes from the device tree.  You shouldn't touch the struct directly.

>> Why do you think the interrupt is misconfigured?
> Because I don't get any error during boot or when I run ifconfig, but
> I don't see
> any interrupt if I run 'cat /proc/interrupts':

That could mean that something else is failing, such that you don't
have the activity that would cause an interrupt.

>> Looking at the code, though, I'm not sure if this stuff still works --
>> e.g. I don't see where any fields of fixed-link but the ID are used, or
>> what's supposed to happen when of_phy_connect_fixed_link() calls
>> phy_connect().
> If it isn't so, do you have any suggestion about how to re-add this
> functionality to the existing code?

Andy, do you know what the state of this stuff is?

-Scott